ServerSentinel Remote Client logo

ServerSentinel Remote Clientv4.2The Remote Access for ServerSentinel

See also

Alternatively, you can search for specific topics in our support area

CompatibleWithWindows10 CompatibleWithWindows8 CompatibleWithWindows7

CompatibleWithServer

Compatible with

Please note: The Remote Client requires a full ServerSentinel installation.

  • Windows 10
  • Windows 8.1
  • Windows Vista / 7 / 8
  • Windows Server 2016
  • Windows Server
    2008 - 2012 R2

(64 Bit)

.NET 4.5 will be required and may be installed during setup.

Supported Databases

  • MSSQL Server 2005-2016*
  • MySQL 5

*MSSQL Server Standard
is available in a bundle with ServerSentinel.

Quicklinks to Help & FAQ

The complete manual:

Contact Form: